Foreman - Support #1440

tftp and foreman
01/09/2012 05:53 PM - Thomas Go

Status: Closed
Priority: Normal
Assignee:

Category: Smart Proxy

Target version:
Triaged: Found in Releases:

Fixed in Releases:

Description
I'm still very new with Foreman and have found the wiki to be really helpful. I'm reading and following through this URL

http:/theforeman.org/projects/smart-proxy/wiki/Tftp

on how to setup tftp to work with foreman. | di have a tftp server and that is working fine. | thought by modifying the file
/etc/foreman-proxy/settings.yml

and placing my tftp server name under
‘tftp_servername:

the smart-proxy will update the configuration under my tftp server. | do not see this. What | do see is that the updates are being
made on my foreman server. Would | need to make the foreman server a tftp server as well?

Thanks,
Thomas

History

#1 - 01/10/2012 02:20 AM - Ohad Levy

- Status changed from New to Feedback

make sure you have a subnet defined, and that it has a tftp proxy configured...
#2 - 01/10/2012 10:51 AM - Thomas Go

Hi,

| have a subnet defined. Under /etc/foreman-proxy/settings.yml

| have defined

tftp: true

:tftproot: /tftpboot

‘tftp_servername: myserver.name.com <--I have my hostname here.

| do see tftp configuration created in my foreman server, but not my tftp server. It doesn't update my tftp server. Do | need to configure my foreman
server to run tftp?

What | want to do is pxeboot from my tftp server. Would | need to pxeboot from the foreman server?

Thanks,
Thomas

#3 - 01/12/2012 01:39 PM - David M.
foreman proxy is running?

Do you have any log files from proxy?
Is the foreman-proxy selected on host creation?

#4 - 01/03/2013 11:20 AM - Benjamin Papillon
http://theforeman.org/projects/smart-proxy/wiki/Tftp

Hello,

Can you provide feedback related to this issue?
Is foreman working for you now?

Regards

Edit: Hum, your problem seems solved when reading your other issue (#1444)

#5 - 01/03/2013 11:30 AM - Benjamin Papillon
- Status changed from Feedback to Closed
